Bug 1695088 - micro: FTBFS: cmd/internal/obj/arm64: assembling TSTW $1689262177517664, R3 fails
Summary: micro: FTBFS: cmd/internal/obj/arm64: assembling TSTW $1689262177517664, R3 f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang
Version: 30
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Čajka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1675371
TreeView+ depends on / blocked
 
Reported: 2019-04-02 13:04 UTC by Robert-André Mauchin
Modified: 2019-04-09 00:02 UTC (History)
6 users (show)

Fixed In Version: golang-1.12.1-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-09 00:02:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github golang go issues 30334 None None None 2019-04-02 13:05:53 UTC

Description Robert-André Mauchin 2019-04-02 13:04:57 UTC
Micro (https://apps.fedoraproject.org/packages/micro) 1.4.1 compilation fails with 1.12 on Fedora 30 aarch64 while it was working on 1.11.

BUILDSTDERR: cd /builddir/build/BUILD/micro-1.4.1/_build/src/github.com/zyedidia/micro/cmd/micro
BUILDSTDERR: /usr/lib/golang/pkg/tool/linux_arm64/compile -o $WORK/b001/_pkg_.a -trimpath $WORK/b001 -shared -p main -complete -installsuffix shared -buildid yOmOqxe3SyScT76ADNYq/yOmOqxe3SyScT76ADNYq -goversion go1.12rc1 -D "" -importcfg $WORK/b001/importcfg -pack ./actions.go ./actions_posix.go ./autocomplete.go ./bindings.go ./buffer.go ./cellview.go ./colorscheme.go ./command.go ./cursor.go ./eventhandler.go ./highlighter.go ./job.go ./keymenu.go ./lineArray.go ./loc.go ./lua.go ./messenger.go ./micro.go ./plugin.go ./pluginmanager.go ./rtfiles.go ./runtime.go ./scrollbar.go ./search.go ./settings.go ./shell.go ./shell_supported.go ./split_tree.go ./stack.go ./statusline.go ./tab.go ./terminal.go ./util.go ./view.go
BUILDSTDERR: # github.com/zyedidia/micro/cmd/micro
BUILDSTDERR: cmd/micro/terminal.go:150:25: illegal combination: 00560 (/builddir/build/BUILD/micro-1.4.1/_build/src/github.com/zyedidia/micro/cmd/micro/terminal.go:125)	TSTW	$1689262177517664, R3
BUILDSTDERR: error: Bad exit status from /var/tmp/rpm-tmp.N9zjPx (%build)

This bug was caused in Go upstream by this change: https://go-review.googlesource.com/c/go/+/118796%E3%80%82

This bug is solved by this change:  https://go-review.googlesource.com/c/go/+/163419/

This fix is only available in version 1.12.1: https://github.com/golang/go/issues/30334#issuecomment-467244387

Comment 1 Fedora Update System 2019-04-02 13:11:48 UTC
golang-1.12.1-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-751bd69873

Comment 2 Fedora Update System 2019-04-03 02:27:23 UTC
golang-1.12.1-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-751bd69873

Comment 3 Fedora Update System 2019-04-09 00:02:29 UTC
golang-1.12.1-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.